6.x - a few issues/questions

Hello,

I can not connect to my server 6.

I am using 5 so it is ok for the port (and the new one)

I have

5/14 19:25:53.053 LOGIN: state: LOGIN_STATE_CONNECTING result: LOGIN_OK

5/14 19:25:53.084 Connecting to 82.237.79.179:1119
5/14 19:25:53.287 LOGIN: state: LOGIN_STATE_FAILED result: LOGIN_FAILED
5/14 19:25:53.303 Disconnected from 82.237.79.179
5/14 19:25:53.334 Client initiated Disconnect from 82.237.79.179
5/14 19:25:53.365 Client initiated Disconnect from 82.237.79.179
5/14 19:25:53.397 LOGIN: state: LOGIN_STATE_FAILED result: LOGIN_FAILED
5/14 19:25:53.412 Login program=WoW platform=Wn64 locale=frFR
5/14 19:25:53.443 Component WoW.Wn64.19865
5/14 19:25:53.475 Component WoW.base.19793
5/14 19:25:53.506 Battle.net is Component Bnet.Wn64.37165
5/14 19:29:24.074 LOGIN: state: LOGIN_STATE_CONNECTING result: LOGIN_OK
5/14 19:29:24.152 Connecting to 82.237.79.179:1119
5/14 19:29:24.433 LOGIN: state: LOGIN_STATE_FAILED result: LOGIN_FAILED
5/14 19:29:24.465 Disconnected from 82.237.79.179
5/14 19:29:24.512 Client initiated Disconnect from 82.237.79.179
5/14 19:29:24.543 Client initiated Disconnect from 82.237.79.179
5/14 19:29:24.574 LOGIN: state: LOGIN_STATE_FAILED result: LOGIN_FAILED
5/14 19:29:24.605 Login program=WoW platform=Wn64 locale=frFR
5/14 19:29:24.637 Component WoW.Wn64.19865
5/14 19:29:24.668 Component WoW.base.19793
5/14 19:29:24.746 Battle.net is Component Bnet.Wn64.37165

I take a look at other post , and double check my components are ok (I have build a clean version to test)

I have no clues what to check or where to look

I have created several accounts to test, but no way.

Is their some extra securities (rbac ?) above the user ?

I have no trace of my logs, on incorrect password on the server file

thanks in advance.

Can someone share an example of its tables ?

Greetings all,

I just have a few questions about the current state of 6.x to make sure I’m doing things right and don’t open needless issues.

Here’s what I’ve done:

[ul][li]Compiled latest rev (812fa65c613e as of today) using Debian 7.0 x64 and Windows 7 x64[/li][li]Created dbc, maps, vmaps, and mmaps on both[/li][li]Imported latest TDB and all of the world/hotfix updates in the /sql/updates folder[/li][li]Used correct client to connect to both, and experienced same issues[/li][/ul]
Here’s what I’m experiencing:

Major:

[ul][li]Trainers of any sort do not work (blacksmithing, enchanting, riding, flying, etc)[/li][li]Flight paths do not work (EDIT: appears I overlooked this post: http://community.trinitycore.org/topic/11483-6x-flight-masters-not-working/)[/li][/ul]
Minor:

[ul][li]Innkeepers dialogue options (open shop, bind location) do not work at times. Closing and reopening dialog a couple of times generally fixes.[/li][li]Clicking to sort bags greys out all items in them until I relog[/li][/ul]
One other thing of note is the console is spammed with a whole lot of errors on server load, mostly related to spells it appears. This is just on load, and not the opcode spam.

I do realize that this is a very early phase for the 6.x branch, and I mainly compiled and setup just to see what does/doesn’t work. I don’t have any development experience, but hoping I can at least file some bug reports to expose issues that do exist. I just want to make sure my setup is functioning “as intended” for the current state of the project before opening tickets on the issue tracker that are only issues because I did something wrong! I’m happy to provide any addition information needed. Thanks!

Hello and welcome to TrinityCore.

You can see if a bug already was reported by searching among our issues. If it was not, you are more than welcome to report it after reading our guidelines for contributing.

Best regards

Okay, thanks! I guess I’ll just start playing through and reporting things I see (provided there’s not already something on the tracker for it). Although I’m not really proficient with programming or SQL skills, I’d like to contribute whatever I can, even if it’s just play time.

Hello guys, do you know any software similar to MangosWowRegeneration which can downgrade my client to 6.1.2?

Those do look like issues that current 6.x might have. Proper issue reports are very welcome.

Even if you don’t have programming skills atm you can always start learning. Few of us actually started with Trinity /emoticons/default_smile.png

Im pretty sure it can’t be done, atleast not yet.

I’ve been searching for the same thing for a few days, can’t find anything.

Any specific reason for downgrade ?

Hello everyone, TC 6.2 supports client?

TC will be updated to 6.2.0 soon™

Hello i downloaded and compiled trinitycore 6.x branch. But it supports only 6.1.2. I have 6.20 anby idea how to download 6.1.2 client or how to downgrade?

You can’t downgrade your client. You can grab a 6.1.2 executable somewhere and play with it (thanks to blizzard streaming system) but you won’t be able to extract dbc/maps/vmaps because your client will be incomplete.

6.2.0 20216 works with last commit. It’s not fully working but it works. Check github

Update : Resolved issue by building new system and reinstalling all tools, one by one carefully. :).

thanks to trinity-team for a great system. now extracting…lets hope…


Hi,

i would appreciate any help. First time compile. Using centos 7 using git pull 10 minutes ago. (* TrinityCore revision : 9a9706cc5f02 2015-07-12 05:05:49 +0200 (6.x branch))

I might have maybe overlooked something ?

cmake passes. then when running make i get the following error :

[ 7%] Building CXX object dep/cppformat/CMakeFiles/format.dir/posix.cc.o
In file included from /root/builds/TrinityCore/dep/cppformat/posix.cc:33:0:
/root/builds/TrinityCore/dep/cppformat/posix.cc: In member function ‘fmt::LongLong fmt::File::size() const’:
/root/builds/TrinityCore/dep/cppformat/posix.h:74:70: error: ‘static_assert’ was not declared in this scope

define FMT_STATIC_ASSERT(cond, message) static_assert(cond, message)

                                                                  ^

/root/builds/TrinityCore/dep/cppformat/posix.cc:162:3: note: in expansion of macro ‘FMT_STATIC_ASSERT’
FMT_STATIC_ASSERT(sizeof(fmt::LongLong) >= sizeof(file_stat.st_size),
^
dep/cppformat/CMakeFiles/format.dir/build.make:77: recipe for target ‘dep/cppformat/CMakeFiles/format.dir/posix.cc.o’ failed
make[2]: *** [dep/cppformat/CMakeFiles/format.dir/posix.cc.o] Error 1
CMakeFiles/Makefile2:357: recipe for target ‘dep/cppformat/CMakeFiles/format.dir/all’ failed
make[1]: *** [dep/cppformat/CMakeFiles/format.dir/all] Error 2
Makefile:116: recipe for target ‘all’ failed
make: *** [all] Error 2

Can anyone point me out how to correct/fix ? Apologies if i forgot a library, would appreciate the help.

Regards,

Hello everybody.

i donwload your trinitycore 6.x and compile it fololowing the wiki instructions,

but when i tray to run worlserver.exe it give me

TrinityCore rev. unknown 1970-01-01 00:00:00 +0000 (Archived branch) (Win32, Release) (worldserver-daemon)
to stop.


/__ \ __ _/\ _
/
/\ / _ __ /_\ ___ /_\ , \ __ __
\ \ /`‘__/\ \ /’ _ \/\ \ \ \/ /\ \/\ \ \ \ \ \ \/ \ \ \/\ \/\ \ \ \ \ \_\ \ \_\ \ \ \_\ \_\ \ \_\ \_\ \_\ \_\ \__\\/
___
//// ////////// `//>
C O R E /_
/
http://TrinityCore.org /
_/

Using configuration file worldserver.conf.
Using SSL version: OpenSSL 1.0.1o 12 Jun 2015 (library: OpenSSL 1.0.1o 12 Jun 2015)
Using Boost version: 1.57.0
Automatic database updates are disabled for all databases!
Realm running as realm ID 1 region 2 battlegroup 1
Using World DB: Unknown world database.
Using enUS DBC Locale
Will clear logs table of entries older than 1209600 seconds every 10 minutes.
Using DataDir ./
WORLD: MMap data directory is: ./mmaps
VMap support included. LineOfSight: 1, getHeight: 1, indoorCheck: 1
VMap data directory is: ./vmaps
Loading Trinity strings…

Loaded 4 trinity strings in 1 ms
Initialize data stores…
Some required *.dbc files (2 from 85) not found or not compatible:
./dbc/Difficulty.dbc exists, and has 13 field(s) (expected 14). Extracted file might be from wrong client version or a database-update has been forgotten.
./dbc/LfgDungeons.dbc exists, and has 29 field(s) (expected 30). Extracted file might be from wrong client version or a database-update has been forgotten.

and me mmapextractor.exe dont found well becouse i have the small 6.1.2 client.

I dont know if i have first modify someone in the core for admit 6.1.2 or what i can do to resolve this error.
can you help me?

thanks for your work!!!

im using dev apex team dbc, whit here repack go well but i dont know the different for dont work in me compilarion

Hi

first of all, which commit version of the core are you using? Install git properly not to have “rev. unknown” in your logserver…

dbc were updated to 6.2.0 20216 recently.

— Canned message start —
Trinity does not support repacks.
Please learn to compile and configure the source yourself, you will learn more and may even find that the error doesnt exist in vanilla TC.
Please refer to the author of the repack for your questions if you continue to use said repack.
— Canned message end —

Hi,

I dont understand that your post.

You say 6.2.0.20216 works. You can not patch the client as the connection patcher does not work for that version , care to tell me how you made it work ?

Curious as i want to play.

I would like to try the 6.x branch, but I am concerned of one thing.

Currently I am playing on retail, and also I have an active 3.3.5 server to test, is there any problem to have both retail and TC installed in the same computer? Or does it modify battlenet somehow so I could get banned frol retail?

I’d appreciate help in this matter, as this is a blockstopper /emoticons/default_smile.png

[COLOR= rgb(82, 82, 82)] is there any problem to have both retail and TC installed in the same computer?

There shouldn’t be any problem. I used both retail and TC in the same computer, using the patched binary to access to TrinityCore and the original one to access to retail. I had just to change the SET portal value in Config.WTF each time I had to switch.